curl --request PATCH \
--url https://api.voxo.co/v2/admin/phone-numbers/caller-id-name/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callerIdName": "<string>"
}
'import requests
url = "https://api.voxo.co/v2/admin/phone-numbers/caller-id-name/{id}"
payload = { "callerIdName": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({callerIdName: '<string>'})
};
fetch('https://api.voxo.co/v2/admin/phone-numbers/caller-id-name/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voxo.co/v2/admin/phone-numbers/caller-id-name/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'callerIdName' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.voxo.co/v2/admin/phone-numbers/caller-id-name/{id}"
payload := strings.NewReader("{\n \"callerIdName\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.voxo.co/v2/admin/phone-numbers/caller-id-name/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"callerIdName\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.voxo.co/v2/admin/phone-numbers/caller-id-name/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"callerIdName\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"number": "<string>",
"registeredCNAM": "<string>",
"tenant": {
"id": 123,
"name": "<string>"
},
"branch": {
"id": 123,
"name": "<string>"
},
"diCommentName": "<string>",
"recording": "<string>",
"fax": "<string>",
"faxEmail": "<string>",
"faxStore": 123,
"namePrefix": "<string>",
"unconditionalStatus": 123,
"emailRecording": "<string>",
"storeAndForwardNumber": "<string>",
"smsExt": {
"id": 123,
"name": "<string>"
},
"registeredSMS": 123,
"routingDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
],
"forwardingDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
],
"smsDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
],
"campaignPending": 123
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}Update Caller ID Name
Update the registered CNAM for a phone number
curl --request PATCH \
--url https://api.voxo.co/v2/admin/phone-numbers/caller-id-name/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"callerIdName": "<string>"
}
'import requests
url = "https://api.voxo.co/v2/admin/phone-numbers/caller-id-name/{id}"
payload = { "callerIdName": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({callerIdName: '<string>'})
};
fetch('https://api.voxo.co/v2/admin/phone-numbers/caller-id-name/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voxo.co/v2/admin/phone-numbers/caller-id-name/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'callerIdName' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.voxo.co/v2/admin/phone-numbers/caller-id-name/{id}"
payload := strings.NewReader("{\n \"callerIdName\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.voxo.co/v2/admin/phone-numbers/caller-id-name/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"callerIdName\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.voxo.co/v2/admin/phone-numbers/caller-id-name/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"callerIdName\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"number": "<string>",
"registeredCNAM": "<string>",
"tenant": {
"id": 123,
"name": "<string>"
},
"branch": {
"id": 123,
"name": "<string>"
},
"diCommentName": "<string>",
"recording": "<string>",
"fax": "<string>",
"faxEmail": "<string>",
"faxStore": 123,
"namePrefix": "<string>",
"unconditionalStatus": 123,
"emailRecording": "<string>",
"storeAndForwardNumber": "<string>",
"smsExt": {
"id": 123,
"name": "<string>"
},
"registeredSMS": 123,
"routingDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
],
"forwardingDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
],
"smsDestinations": [
{
"typeSrc": "<string>",
"destType": "<string>",
"id": 123,
"order": 123,
"name": "<string>",
"number": "<string>"
}
],
"campaignPending": 123
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Phone number ID
^[1-9]\d*$Body
Caller ID name (max 15 characters)
15Response
Updated phone number
Phone number ID
Phone number
Registered caller ID name
Parent tenant
Show child attributes
Show child attributes
Assigned branch
Show child attributes
Show child attributes
Comment/description
Recording mode
Fax mode
Fax email
Fax store enabled (1/0)
Caller ID name prefix
Unconditional forwarding (1/0)
Recording email address
Store and forward number
SMS-assigned extension
Show child attributes
Show child attributes
Whether SMS is provisioned (1/0)
Routing destinations
Show child attributes
Show child attributes
Forwarding destinations
Show child attributes
Show child attributes
SMS destinations
Show child attributes
Show child attributes
Open carrier campaign order (0 = none, 1 = adding, 2 = removing)
Was this page helpful?